<style>
     .sub-role-style{
        display: none;
    }
     .show-block{
         display: block !important;
     }
     .hide-block{
         display: none !important;
     }

    .not-allow-button{
        cursor: not-allowed;
    }

</style>
<div class="sticky-container">
    <span style="display: none" id="user_login" th:text="${adminUser.login}"></span>
    <span style="display: none" id="user_role" th:text="${adminUser.allRoles}"></span>
    <input type="hidden" id="facCode_User" th:value="${adminUser.additionalFields}">
    <input id="contextRoot" name="contextRoot" type="hidden" th:value="@{/}"/>
    <div class="content-area-title-bar entity-form-actions">

        <h3>
            <span class="admin-section">
               Order Summary Report
            </span>
        </h3>
        <h4>
             <span th:each="mItem : ${adminUser.allRoles}">
                <span class="sub-role-style"  name="sub_role" type="text"
                      th:text="${mItem.name}" ></span>
            </span>
        </h4>
        <div id="headerFlashAlertBoxContainer" class="hidden">
            <div id="headerFlashAlertBox" class="alert-box success" style="display: none;">
                <span class="alert-box-message"></span>
            </div>
        </div>
        <div id="headerChangeBoxContainer" class="hidden">
            <div id="headerChangeBox" class="success" style="display: none;">
                <span class="change-box-message"></span>
            </div>
        </div>
    </div>
    <div class="content-yield listgrid-container" id="main">
        <div class="listgrid-search row">

            <div class="col12">
                <div class="col3">
                    <label style="display: block !important;">Manufacture</label>
                    <input style="margin-right: 15px !important;"  id="search_by_manufac" type="search" name="table-search" placeholder="Search by Manufacture">
                </div>
               <div id="div_search_fac"  class="col3 hide-block">
                   <label id="text_search_by_fac"  style="display: block ;">Factory</label>
                   <input  style="margin-right: 15px !important;"   id="search_by_fac" type="search" name="table-search" placeholder="Search by factory">
               </div>
                <div class ="col3">
                    <label style="display: block !important;">Year</label>
                    <select  id="search_by_year" name="table-search" >
                    </select>
                </div>

                <div class ="col3">
                    <label style="display: block !important;">&#160;</label>
                    <div class="listgrid-search-actions">
                        <button disabled id="btn_export" class="button primary search-button not-allow-button">Export</button>
                    </div>
                </div>

            </div>
        </div>

    </div>

    <blc:bundle name="libs.js"
                mapping-prefix="/js/"
                files="lib/jquery-3.1.1.min.js" />

    <blc:bundle name="reportOrderSummary.js"
                mapping-prefix="/js/"
                files="report/orderSummaryReport/adminMode.js" />

</div>